//
//  AppDelegate.m
//  SpriteKitSimpleGameMac
//
//  Created by Neil North on 14/04/2014.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "AppDelegate.h"
#import "MyScene.h"

@import AVFoundation;

@implementation AppDelegate {
  AVAudioPlayer *backgroundMusicPlayer;
}

@synthesize window = _window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
  NSError *error;
  NSURL *backgroundMusicURL = [[NSBundle mainBundle] URLForResource:@"background-music-aac" withExtension:@"caf"];
  backgroundMusicPlayer = [[AVAudioPlayer alloc] initWithContentsOfURL:backgroundMusicURL error:&error];
  backgroundMusicPlayer.numberOfLoops = -1;
  [backgroundMusicPlayer prepareToPlay];
  [backgroundMusicPlayer play];
  
  /* Pick a size for the scene */
  SKScene *scene = [MyScene sceneWithSize:CGSizeMake(1024, 768)];
  
  /* Set the scale mode to scale to fit the window */
  scene.scaleMode = SKSceneScaleModeAspectFit;
  
  [self.skView presentScene:scene];
  
  self.skView.showsFPS = YES;
  self.skView.showsNodeCount = YES;
}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)sender {
  return YES;
}

@end
